Results 1 to 2 of 2

Thread: hello

  1. #1

    Member Since
    Jul 17, 2010
    my name is Ben and i have mac os x 10.4.11 on my disk and i wan to download hot spot shield on the pc but am not able too get the perfect match to my pc it always ask me to upgrade to my pc to mac os x 10.5.11 which i don't have the soft ,can any one please help me get this problem solved

    thank you

  2. #2

    mrplow's Avatar
    Member Since
    Oct 01, 2007
    27" iMac i7 (2011) 10.11, Mac Mini i5 (2014), iPhone6s, Apple Watch, iPad Air 2, New AppleTV (4?)
    You have OSX 10.4 "Tiger"
    You need OSX 10.5 Leopard

    This version of OSX isn't sold directly from Apple any longer so you're best hope is a reseller like Amazon, Ebay etc.

    However, if this is the route you wish to take you'll need to check your Mac is up to the job. If you post the Model and spec of your mac someone will able to give you an idea of whether your Mac will run Leopard OK.
    Not been around these parts for a while. Trying to change that . .

    Please use the reputation system if you think you've been helped - bottom left of this post

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts